## org.eclipse.emf.transaction
Interface TransactionalEditingDomain.DefaultOptions

All Known Implementing Classes:
  TransactionalEditingDomainImpl

Enclosing interface:
  TransactionalEditingDomain

    public static interface TransactionalEditingDomain.DefaultOptions

Adapter interface provided by `TransactionalEditingDomain`s that support the notion of default transaction options. This allows clients, usually when initializing an editing domain, to specify options that will be applied to any read/write `Transaction` for which explicit values are not provided when they are created.

There are no default-defaults: by default, an editing domain has no default transaction options. Default options are only applied to root-level transactions. Nested transactions are expected to inherit them (or not) as appropriate to the implementation of the options, as usual.

Note that these are applied also to undo/redo transactions and may be overridden by the options returned by the `InternalTransactionalEditingDomain.getUndoRedoOptions()` method. Thus, it may be important for an editing domain to use the undo/redo options to explicitly disable options that may have defaults.

The default editing domain implementation provides this adapter interface.

Since:
  1.2

Method Summary
`Map<?,?>` `getDefaultTransactionOptions()` Obtains a read-only view of the editing domain's default transaction options.
`void` `setDefaultTransactionOptions(Map<?,?> options)` Sets the default transaction options.

Method Detail

### getDefaultTransactionOptions

    Map<?,?> getDefaultTransactionOptions()

  Obtains a read-only view of the editing domain's default transaction options.

  Returns:
    my read-only map of transaction options

### setDefaultTransactionOptions

    void setDefaultTransactionOptions(Map<?,?> options)

  Sets the default transaction options. It is probably best to do this only when configuring a new editing domain, as inconsistent behaviour may result from changing the options while editing transactions are in progress.

  Parameters:
    `options` - the new options. The options are copied from the map

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.